axis-java-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Mike Woinoski <n...@pineneedleconsulting.com>
Subject Re: problem building Axis 1.2.1 from source
Date Tue, 30 Aug 2005 15:16:50 GMT
In an response to a old post about this same problem, Dims said:

 > The jdk15 comes with dom3 which is a not compatible with SAAJ 1.2
 > spec. can you please drop the xercesImpl.jar and xmlParserAPIs.jar in
 > java/lib directory. if that does not work, please drop them into
 > JDK15\jre\lib\endorsed directory (as per
 > http://java.sun.com/j2se/1.4.2/docs/guide/standards/).

I touched xercesImpl.jar and xmlParserAPIs.jar from axis/lib, then copied them 
into several directories under the JDK installation:
	JAVA_HOME/jre/lib
	JAVA_HOME/jre/lib/endorsed (removed dom.jar, etc.)
	JAVA_HOME/lib
However, in all cases the compiler still uses the class files from rt.jar. What 
other settings are needed to convince the compiler to use the classes in the 
axis jar files?

Thanks,
Mike	

Mike Woinoski wrote:

> I'm trying to rebuild axis.jar from the Axis 1.2.1 source. "ant compile" 
> generates a number of errors like the following:
> 
>     C:\Home\Java\axis\src\org\apache\axis\SOAPPart.java:90:
>     org.apache.axis.SOAPPart is not abstract and does not override abstract
>     method 
> renameNode(org.w3c.dom.Node,java.lang.String,java.lang.String) in
>     org.w3c.dom.Document
>     public class SOAPPart extends javax.xml.soap.SOAPPart implements Part
>            ^
> 
> I've tried it with Java 5.0 and Java 1.4.2 (using Ant 1.6.2), resetting 
> JAVA_HOME for the different compilers, but I get the same errors. Is the 
> compiler using the wrong version of the Xerces libraries? Should I be 
> using an older compiler (JDK 1.3?)
> 
> Thanks,
> Mike
> 
> 



Mime
View raw message